Get public orders book [Public]

Get a list of order prices by pair (e.g. BTC_USDT). Returns a list of order prices, 2 arrays for Bids and Asks; lowest first for Asks, highest first for Bids; leveled by order prices, but no more levels than specified by the level parameter.

This is a public route, no need for authorization.

Data dictionary

NameTypeParameter typeRequiredRangeDescription
pairstringPATHYES-A trading pair as per the list from /v4/markets/public/getAll
levelintQUERYNO5, 10, 20, 50, 100, 500, 1000Amount of price levels for existing orders in the response

📘️ Parameter level defaults to 1000 if not provided.

Exemplary request

Please try this request for a start: {{baseURL}}/v4/order/public/book/BTC_USDT?level=5

Response structure

You will receive a JSON in the response with data object, structured like this example:

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
        "asks": [               // An array of sell orders
            [
                "16950",        // Sell price, level 1
                "0.001"         // Sell quantity, level 1
            ],
            [
                "17000",        // Sell price, level 2
                "0.01"          // Sell quantity, level 2
            ]
        ],
        "bids": [               // An array of buy orders
            [
                "16700",        // Sell price, level 1
                "0.01"          // Sell quantity, level 1
            ],
            [
                "16000",        // Sell price, level 2
                "0.001"         // Sell quantity, level 2
            ]
        ]
    }

Errors

StatusError codeMessageParameterDescription
404NotFoundExceptionCannot GET /v4/order/public/book/{pair}pairSent pair as QUERY parameter, please send as PATH parameter instead. More info here
500WrongRequestException level must be one of the following values: 5, 10, 20, 50, 100, 500, 1000 levelEnsure limit is within the provided range
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Query Params
string
enum
Allowed:
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json